Summary:	Wnn6 Client Library
Summary(pl.UTF-8):	Biblioteka kliencka Wnn6
Name:		Wnn6-SDK
Version:	1.0
Release:	14
License:	OMRON Corporation (distributable, see README)
Group:		Libraries
#Source0Download: http://www.omronsoft.co.jp/SP/pcunix/sdk/
Source0:	http://www.omronsoft.co.jp/SP/pcunix/sdk/wnn/%{name}.tar.gz
# Source0-md5:	8e0148560524643680fd016e5c4e406b
Patch0:		%{name}-config.patch
Patch1:		%{name}-incl.patch
Patch2:		%{name}-shared.patch
Patch3:		%{name}-malloc.patch
Patch4:		%{name}-nonroot.patch
Patch5:		%{name}-cpp_workaround.patch
Patch6:		%{name}-header.patch
URL:		http://www.omronsoft.co.jp/SP/pcunix/sdk/
BuildRequires:	xorg-util-imake
BuildRequires:	xorg-util-makedepend
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Runtime Wnn6 client library necessary to run Wnn6 clients.

%description -l pl.UTF-8
Biblioteka kliencka Wnn6 potrzebna do uruchamiania klientów Wnn6.

%package devel
Summary:	Header files for Wnn6
Summary(pl.UTF-8):	Pliki nagłówkowe Wnn6
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files for Wnn6 client developments.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia klientów Wnn6.

%package static
Summary:	Static Wnn6 client library
Summary(pl.UTF-8):	Statyczna biblioteka kliencka Wnn6
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Wnn6 client library.

%description static -l pl.UTF-8
Statyczna biblioteka kliencka Wnn6.

%prep
%setup -q -c
cd src/contrib/im/Xsi
%patch0 -p4
%patch1 -p1
%patch2 -p5
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p0

%{__sed} -i -e 's|/usr/lib64/X11|%{_libdir}/X11|g' \
	config/X11.tmpl Makefile.ini

%build
%{__make} -C src/contrib/im/Xsi -f Makefile.ini World \
	WNNLIBDIR=%{_libdir} \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags} -fPIC" \
	REQUIREDLIBS="-lcrypt" \

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C src/contrib/im/Xsi install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc src/contrib/im/Xsi/README
%attr(755,root,root) %{_libdir}/libwnn6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwnn6.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwnn6.so
%{_includedir}/wnn6

%files static
%defattr(644,root,root,755)
%{_libdir}/libwnn6.a
%changelog
* Thu Feb 02 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Wnn6-SDK.git;a=log;h=auto/th/Wnn6-SDK-1.0-14

* Thu Feb 02 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 167e964
- rel 14

* Thu Feb 02 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> f84eeea
- rel 13

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 998fb26
- Release 12 (by relup.sh)

* Tue Apr 12 2016 Jakub Bogusz <qboosh@pld-linux.org> 8c8562b
- imake BRs

* Sun Apr 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 8446aa2
- don't use multilevel setup -n, it breaks post-build cleanup

* Sun Apr 10 2016 Jakub Bogusz <qboosh@pld-linux.org> d28c529
- updated URLs

* Thu Jul 14 2011 Jan Rękorajski <baggins@pld-linux.org> 45b9177
- updated to the current state of Xorg

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0b22993
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cc526c8
- converted to UTF-8

* Sun Sep 03 2006 Elan Ruusamäe <glen@pld-linux.org> 9b8295b
- strict internal deps

* Mon Aug 04 2003 Jakub Bogusz <qboosh@pld-linux.org> 507f0a8
- new %doc

* Mon May 26 2003 Michal Moskal <michal@moskal.me> 535645d
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 0c1e8d5
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Mar 27 2002 Roman Werpachowski <roman.werpachowski@gmail.com> a95905d
- License: Copyright (C) OMRON Corporation, OMRON Software Co., Ltd. (see README)

* Mon Mar 18 2002 kloczek <kloczek@pld-linux.org> 3d45ee8
- cut changelog and use CC="%{__cc}" during compile.

* Sun Mar 17 2002 Jakub Bogusz <qboosh@pld-linux.org> a06aed1
- spec and patches based on RedHat ones; release 11

